> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://esendex.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://esendex.ferndocs.com/_mcp/server.

# Update URLs for event (v2)

PUT http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/webhooks/events/{eventType}
Content-Type: application/json

Reference: https://esendex.ferndocs.com/api-reference/webhook-events/update-urls-for-event-v-2

## Authentication

- `X-API-Key` header (required) — Your Esendex API key.

## Request

### Path parameters

- `eventType` (string, required)

### Headers

- `AccountReference` (string, required) — Mandatory AccountReference header

### Body (application/json)

This endpoint expects a list of CreateWebhookSubscriptionV3SingleCallbackRequest.

- `list of CreateWebhookSubscriptionV3SingleCallbackRequest`

## Response

### 204

No Content

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of ErrorDto, optional, nullable)

## Types

### CreateWebhookSubscriptionV3SingleCallbackRequest

- `url` (string, optional, nullable)
- `platform` (string, optional, nullable)
- `optionalNotes` (string, optional, nullable)
- `authentication` (UpdateCallbackAuthenticationBody, optional, nullable)

### ErrorDto

- `errorCode` (string, required)
- `errorMessage` (string, required)
- `metadata` (map from string to string, optional, nullable)

### UpdateCallbackAuthenticationBody

- `oauth` (UpdateCallbackAuthenticationOAuthRequest, optional, nullable)
- `apiKey` (UpdateCallbackAuthenticationApiKeyRequest, optional, nullable)
- `basic` (UpdateCallbackAuthenticationBasicRequest, optional, nullable)

### UpdateCallbackAuthenticationOAuthRequest

- `clientIdValue` (string, optional, nullable)
- `clientIdPropertyName` (string, optional, nullable)
- `clientSecretValue` (string, optional, nullable)
- `clientSecretPropertyName` (string, optional, nullable)
- `tokenUrl` (string, optional, nullable)
- `accessTokenPropertyName` (string, optional, nullable)

### UpdateCallbackAuthenticationApiKeyRequest

- `key` (string, optional, nullable)
- `value` (string, optional, nullable)
- `asQueryParam` (boolean, optional)

### UpdateCallbackAuthenticationBasicRequest

- `username` (string, optional, nullable)
- `password` (string, optional, nullable)
- `token` (string, optional, nullable)

## Examples

**Request**

```json
[
  {}
]
```

**SDK Code**

```python
import requests

url = "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/webhooks/events/eventType"

payload = [{}]
headers = {
    "AccountReference": "AccountReference",
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/webhooks/events/eventType';
const options = {
  method: 'PUT',
  headers: {
    AccountReference: 'AccountReference',
    'X-API-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '[{}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/webhooks/events/eventType"

	payload := strings.NewReader("[\n  {}\n]")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("AccountReference", "AccountReference")
	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/webhooks/events/eventType")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Put.new(url)
request["AccountReference"] = 'AccountReference'
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {}\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/webhooks/events/eventType")
  .header("AccountReference", "AccountReference")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("[\n  {}\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/webhooks/events/eventType', [
  'body' => '[
  {}
]',
  'headers' => [
    'AccountReference' => 'AccountReference',
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/webhooks/events/eventType");
var request = new RestRequest(Method.PUT);
request.AddHeader("AccountReference", "AccountReference");
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {}\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "AccountReference": "AccountReference",
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [[]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/webhooks/events/eventType")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```